Loading...
Searching...
No Matches
oval_object Struct Reference
OVAL » OVALDEF

An Oval_object instance describes a set of items to look for on an instrumented host platform. More...

`#include <oval_definitions.h>`

Collaboration diagram for oval_object:
[legend]

## Public Member Functions

OSCAP_API struct oval_object * | oval_object_new (struct oval_definition_model *, const char *id)
| Construct new intance of oval_object.
OSCAP_API struct oval_object * | oval_object_clone (struct oval_definition_model *new_model, struct oval_object *old_object)
| Clone instance of oval_object and add it to the specified oval_definition_model.
OSCAP_API void | oval_object_free (struct oval_object *)
| Free instance of oval_object.
Setters
OSCAP_API void | oval_object_set_subtype (struct oval_object *, oval_subtype_t subtype)
| Sets attributes oval_object->subtype and oval_object->family.
OSCAP_API void | oval_object_add_note (struct oval_object *, char *note)
| Appends a copy of the note parameter to attribute oval_object->notes.
OSCAP_API void | oval_object_set_comment (struct oval_object *, char *comment)
| Sets a copy of the comment parameter to attribute oval_object->comment.
OSCAP_API void | oval_object_set_deprecated (struct oval_object *, bool deprecated)
| Sets attribute oval_object->deprecated.
OSCAP_API void | oval_object_set_version (struct oval_object *, int version)
| Sets attribute oval_object->version.
OSCAP_API void | oval_object_add_object_content (struct oval_object *, struct oval_object_content *content)
| Append instance of oval_object_content to attribute oval_object->object_contents.
OSCAP_API void | oval_object_add_behavior (struct oval_object *, struct oval_behavior *behavior)
| Append instance of oval_behavior to attribute oval_object->behaviors.
Getters
OSCAP_API oval_family_t | oval_object_get_family (struct oval_object *)
| Returns attribute oval_object->family.
OSCAP_API const char * | oval_object_get_name (struct oval_object *)
| Returns the name of an oval_object.
OSCAP_API oval_subtype_t | oval_object_get_subtype (struct oval_object *)
| Returns attribute oval_object->subtype.
OSCAP_API struct oval_string_iterator * | oval_object_get_notes (struct oval_object *)
| Returns attribute oval_object->notes.
OSCAP_API char * | oval_object_get_comment (struct oval_object *)
| Returns attribute oval_object->comment.
OSCAP_API char * | oval_object_get_id (struct oval_object *)
| Returns attribute oval_object->id.
OSCAP_API bool | oval_object_get_deprecated (struct oval_object *)
| Returns attribute oval_object->deprecated.
OSCAP_API int | oval_object_get_version (struct oval_object *)
| Returns attribute oval_object->version.
OSCAP_API oval_schema_version_t | oval_object_get_platform_schema_version (struct oval_object *object)
| Returns schema version of the associated platform extension definition model.
OSCAP_API struct oval_object_content_iterator * | oval_object_get_object_contents (struct oval_object *)
| Returns attribute oval_object->contents.
OSCAP_API struct oval_behavior_iterator * | oval_object_get_behaviors (struct oval_object *)
| Returns attribute oval_object->behaviors.

## Data Fields

struct oval_definition_model * | model
oval_subtype_t | subtype
struct oval_object * | base_obj_ref
struct oval_collection * | notes
char * | comment
char * | id
int | deprecated
int | version
struct oval_collection * | object_content
struct oval_collection * | behaviors

## Detailed Description

An Oval_object instance describes a set of items to look for on an instrumented host platform.

A simple object will usually result in a single file, process, etc being identified. But through the use pattern matches, sets, and variables, multiple matching objects can be identified. Therefore an OVAL Object can identify a set of many individual items on a system. This set of items defined by the OVAL Object can then be used by an OVAL Test and compared against an OVAL State.

The documentation for this struct was generated from the following files:

- oval_object.c
- oval_definitions.h